Kerbal Space Program - Bug #24287

KAL-1000 Takes increasingly long periods of time adding sequence tracks
11/02/2019 04:05 PM - Xyphos

Status: Need More Info Start date: 11/02/2019
Severity: Low % Done: 0%
Assignee: RafaHdz

Category: Gameplay

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

| have a KAL-1000 controller that I'm using for payload "Pack & Deploy" use;

It has 36 Fields, 141 Actions assigned, mostly to turn robotic motors off/on and lock/unlock them when needed,

and | need to add more sequence tracks, but with each sequence track added, it takes an increasingly long time causing the
application to freeze up, sometimes crashes the game, and sometimes Windows will prompt to end it's task if it freezes for too long.

this is most likely caused by unoptimized or unthreaded code for the adding sequence tracks, making the game almost unplayable
when dealing with KAL-1000.

History

#1 - 11/05/2019 04:52 PM - RafaHdz

- Status changed from New to Need More Info

Could you share your craft file with us, please?

#2 - 11/05/2019 04:53 PM - RafaHdz

- Assignee set to RafaHdz
#3 - 11/07/2019 11:02 PM - Xyphos
RafaHdz wrote:
Could you share your craft file with us, please?
Negatory. | got frustrated and deleted the craft.
It's still possible to replicate the bug on your end by adding sequence tracks; around 20 tracks and you start to get a noticeable delay. 50 tracks and it

becomes obvious, 100 tracks and you have to start considering WTH you're doing with your life.

PS. These tracks consist of [un]locking and [un]powering motors in addition to their motions.
